Name:          python-cups
Version:       1.9.72
Release:       24
Summary:       Python bindings for CUPS
License:       GPLv2+
URL:           http://cyberelk.net/tim/software/pycups/
Source:        http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2

BuildRequires: cups-devel python3-devel

%description
This package can be known as pycups, which provides Python bindings for CUPS API.

%package -n python3-cups
Summary:       Python3 bindings for CUPS API, known as pycups

%description -n python3-cups
This package can be known as pycups, which provides Python 3 bindings for CUPS API.

%package help
Summary:       Help documentation for python-cups
Provides:      python-cups-doc = %{version}-%{release}
Obsoletes:     python-cups-doc < %{version}-%{release}

%description help
Man pages and other related help documents for python-cups.

%prep
%autosetup -n pycups-%{version} -p1

sed -i '/^#!\/usr\/bin\/python/d' examples/cupstree.py

%build
%py3_build

%install
make install-rpmhook DESTDIR="%{buildroot}"
%py3_install
export PYTHONPATH=%{buildroot}%{python3_sitearch}
pydoc3 -w cups
mkdir html
mv cups.html html

%files -n python3-cups
%doc README NEWS TODO COPYING
%{python3_sitearch}/{cups.cpython-3*.so,pycups*.egg-info}
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

%files help
%doc examples html

%changelog
* Fri Aug 21 2020 fanjiachen <fanjiachen3@huawei.com> - 1.9.72-24
- Type:rebuild
- ID:NA
- SUG:NA
- DESC:rebuild for requirement package update

* Tue Nov 26 2019 wangzhishun <wangzhishun1@huawei.com> - 1.9.72-23
- Package init
